#ifndef ENTITY_H
#define ENTITY_H



// Included Header Files

#include "Game.h"



// Global Variables

enum Size {
	TINY,
	SMALL,
	AVERAGE,
	LARGE,
	MASSIVE
};



/*	**********************************************************
	* Entity                                                 *
	* ------                                                 *
	* An entity, or object, of the program.                  *
	**********************************************************	*/

class Entity
{
private:
protected:
	// Basic attributes
	const char * name;
	long weight;
	Size size;

	//Mesh info
	//x,y,z coords
	//direction facing
public:
	// Constructors & Destructors
	Entity();
	virtual ~Entity();

	// Accessors & Modifiers
	Size GetSize() { return size; }
	long GetWeight() { return weight; }
	virtual bool IsClient()		const { return true; }
};



#endif