// Included Header Files

#include "Inventory.h"



/*	**********************************************************
	* Inventory                                              *
	* ---------                                              *
	* Constructor (initialization).                          *
	**********************************************************	*/

Inventory::Inventory() {
};



/*	**********************************************************
	* ~Inventory                                             *
	* ----------                                             *
	* Destructor (memory deallocation).                      *
	**********************************************************	*/

Inventory::~Inventory() {
};



/*	**********************************************************
	* Get Total Armor Weight                                 *
	* ----------------------                                 *
	* Returns the weight of all the armor the creature is    *
	* wearing.                                               *
	**********************************************************	*/

long Inventory::GetTotalArmorWeight() {
	long totalWeight = 0;

	totalWeight += head.GetWeight();
	totalWeight += face.GetWeight();
	totalWeight += leftEar.GetWeight();
	totalWeight += rightEar.GetWeight();

	return totalWeight;
};



// TODO

long Inventory::GetTotalWeight() {
	long totalWeight = 0;

	totalWeight += head.GetWeight();
	totalWeight += face.GetWeight();
	totalWeight += leftEar.GetWeight();
	totalWeight += rightEar.GetWeight();
	totalWeight += primaryHand.GetWeight();
	totalWeight += secondaryHand.GetWeight();

	return totalWeight;
};



// TEMPORARY - Generates a dagger
void Inventory::GenerateWeapon()
{
	primaryHand.GenerateDagger();
};