#ifndef ITEM_H
#define ITEM_H



// Included Header Files

#include "Entity.h"



// Global Variables

enum Type {
	NOTHING,
	UNARMED,
	SMALL_PIERCING
};

enum Slot {
	NONE
};



/*	**********************************************************
	* Item                                                   *
	* ----                                                   *
	* Represents a single item in the game.                  *
	**********************************************************	*/

class Item : public Entity
{
private:
	// Basic attributes
	Type type;
	short slot;
	short damage;
	short speed;

	// TODO: Container
	//Item<list>
	//maximum capacity (size & weight differential)

	// Weapon bonuses
	short strengthBonus;
	short dexterityBonus;
	short agilityBonus;
public:
	Item();
	~Item();

	// Accessors & Modifiers
	const char * GetName() /* const */{ return name; }
	//short GetWeight()             { return weight; }
	//short GetSize()               { return size; }
	Type GetType()	              { return type; }
	short GetSlot()               { return slot; }

	// TEMPORARY
	void GenerateDagger();
};



#endif