// Included Header Files

#include "Creature.h"
#include <stdio.h>   // Temporary: input/output to console
#include <stdlib.h>  // rand()
#include <time.h>    // used as a seed for rand()



// Global Variables

char input[255];
void Input();
void attack();



/*	**********************************************************
	* Input                                                  *
	* -----                                                  *
	* Temporary.  Used to acquire input from the console.    *
	**********************************************************	*/

void Input() {
	scanf_s("Input:  %s", &input);
};



/*	**********************************************************
	* Main                                                   *
	* ----                                                   *
	* Begins the program.                                    *
	**********************************************************	*/

int main(int argc, char *argv[]) {
	// set the seed for randomness at the beginning of the program, and only once!
	srand((unsigned int) time(NULL));

	// TEMPORARY
	Creature * player = new Creature();
	Creature axe_knight;                 // this still calls the constructor
	player->setCreatureStats(10);        // initialize the player's stats to 10
	axe_knight.setCreatureStats(5);      // initialize the axe knight's to 5
	for (int i = 0; i < 100; i++) {
		player->Attack(&axe_knight);     // have the player attack the knight
	};
	Input();                             // wait for input (ENTER)

	delete player;

	// exit
	return 0;
};