#ifndef INVENTORY_H
#define INVENTORY_H



// Included Header Files

#include "Item.h"



/*****************************************************
 * Inventory                                         *
 * ---------                                         *
 * This class contains all of the items that pertain *
 * to a creature.                                    *
 *****************************************************/

class Inventory
{
private:
	Item head;
	Item face;
	Item leftEar;
	Item rightEar;
	Item primaryHand;
	Item secondaryHand;
public:
	Inventory();
	~Inventory();

	void GenerateWeapon(); // TEMPORARY
	Item GetPrimaryHand()	{ return primaryHand; }
	Item GetSecondaryHand()	{ return secondaryHand; }

	long GetTotalArmorWeight();
	long GetTotalWeight();
};



#endif