// Included Header Files

#include "Item.h"



/*	**********************************************************
	* Item                                                   *
	* ----                                                   *
	* Constructor (initialization).                          *
	**********************************************************	*/

Item::Item() {
	name = "";
	weight = 0;
	size = AVERAGE;
	type = NOTHING;
	slot = NONE;
	damage = 0;
	speed = 0;
};



/*	**********************************************************
	* ~Item                                                  *
	* -----                                                  *
	* Destructor (memory deallocation).                      *
	**********************************************************	*/

Item::~Item() {
};



/*	**********************************************************
	* Generate Dagger                                        *
	* ---------------                                        *
	* TEMPORARY Creates a small dagger to test the code.     *
	**********************************************************	*/

void Item::GenerateDagger() {
	this->name = "a small dagger";
	this->weight = 2;
	this->size = SMALL;
	this->type = SMALL_PIERCING;
	this->slot = 1;
	this->damage = 3;
	this->speed = 10;
};